/*
 * Center: 98 
 * Parameter table version: 201 
 * Subcenter: 
 */

TBLE2 ecmwf_201_params[] = {
{1, "downward shortwave radiant flux density", "J m**-2", ""},
{2, "upward shortwave radiant flux density", "J m**-2", ""},
{3, "downward longwave radiant flux density", "J m**-2", ""},
{4, "upward longwave radiant flux density", "J m**-2", ""},
{5, "downwd photosynthetic active radiant flux density", "J m**-2", "APAB_S"},
{6, "net shortwave flux", "J m**-2", ""},
{7, "net longwave flux", "J m**-2", ""},
{8, "total net radiative flux density", "J m**-2", ""},
{9, "downw shortw radiant flux density, cloudfree part", "J m**-2", ""},
{10, "upw shortw radiant flux density, cloudy part", "J m**-2", ""},
{11, "downw longw radiant flux density, cloudfree part", "J m**-2", ""},
{12, "upw longw radiant flux density, cloudy part", "J m**-2", ""},
{13, "shortwave radiative heating rate", "K s**-1", "SOHR_RAD"},
{14, "longwave radiative heating rate", "K s**-1", "THHR_RAD"},
{15, "total radiative heating rate", "J m**-2", ""},
{16, "soil heat flux, surface", "J m**-2", ""},
{17, "soil heat flux, bottom of layer", "J m**-2", ""},
{29, "fractional cloud cover", "(0 - 1)", "CLC"},
{30, "cloud cover, grid scale", "(0 - 1)", ""},
{31, "specific cloud water content", "kg kg**-1", "QC"},
{32, "cloud water content, grid scale, vert integrated", "kg m**-2", ""},
{33, "specific cloud ice content, grid scale", "kg kg**-1", "QI"},
{34, "cloud ice content, grid scale, vert integrated", "kg m**-2", ""},
{35, "specific rainwater content, grid scale", "kg kg**-1", ""},
{36, "specific snow content, grid scale", "kg kg**-1", ""},
{37, "specific rainwater content, gs, vert. integrated", "kg m**-2", ""},
{38, "specific snow content, gs, vert. integrated", "kg m**-2", ""},
{41, "total column water", "kg m**-2", "TWATER"},
{42, "vert. integral of divergence of tot. water content", "kg m**-2", ""},
{50, "cloud covers CH_CM_CL (000...888)", "(0 - 1)", "CH_CM_CL"},
{51, "cloud cover CH (0..8)", "(0 - 1)", ""},
{52, "cloud cover CM (0..8)", "(0 - 1)", ""},
{53, "cloud cover CL (0..8)", "(0 - 1)", ""},
{54, "total cloud cover (0..8)", "(0 - 1)", ""},
{55, "fog (0..8)", "(0 - 1)", ""},
{56, "fog", "(0 - 1)", ""},
{60, "cloud cover, convective cirrus", "(0 - 1)", ""},
{61, "specific cloud water content, convective clouds", "kg kg**-1", ""},
{62, "cloud water content, conv clouds, vert integrated", "kg m**-2", ""},
{63, "specific cloud ice content, convective clouds", "kg kg**-1", ""},
{64, "cloud ice content, conv clouds, vert integrated", "kg m**-2", ""},
{65, "convective mass flux", "kg s**-1 m**-2", ""},
{66, "Updraft velocity, convection", "m s**-1", ""},
{67, "entrainment parameter, convection", "m**-1", ""},
{68, "cloud base, convective clouds (above msl)", "m", "HBAS_CON"},
{69, "cloud top, convective clouds (above msl)", "m", "HTOP_CON"},
{70, "convective layers (00...77)  (BKE)", "(0 - 1)", ""},
{71, "KO-index", "dimensionless", ""},
{72, "convection base index", "dimensionless", "BAS_CON"},
{73, "convection top index", "dimensionless", "TOP_CON"},
{74, "convective temperature tendency", "K s**-1", "DT_CON"},
{75, "convective tendency of specific humidity", "s**-1", "DQV_CON"},
{76, "convective tendency of total heat", "J kg**-1 s**-1", ""},
{77, "convective tendency of total water", "s**-1", ""},
{78, "convective momentum tendency (X-component)", "m s**-2", "DU_CON"},
{79, "convective momentum tendency (Y-component)", "m s**-2", "DV_CON"},
{80, "convective vorticity tendency", "s**-2", ""},
{81, "convective divergence tendency", "s**-2", ""},
{82, "top of dry convection (above msl)", "m", "HTOP_DC"},
{83, "dry convection top index", "dimensionless", ""},
{84, "height of 0 degree Celsius isotherm above msl", "m", "HZEROCL"},
{85, "height of snow-fall limit", "m", "SNOWLMT"},
{90, "Photosynthetically active radiation (m) (at the surface)", "W m**-2", "APAB_S"},
{91, "Photosynthetically active radiation", "W m**-2", "PABS_RAD"},
{92, "Solar radiation heating rate", "K s**-1", "SOHR_RAD"},
{93, "Thermal radiation heating rate", "K s**-1", "THHR_RAD"},
{94, "Latent heat flux from bare soil", "W m**-2", "ALHFL_BS"},
{95, "Latent heat flux from plants", "W m**-2", "ALHFL_PL"},
{96, "Sunshine", "-", "DURSUN"},
{97, "Stomatal Resistance", "s m**-1", "RSTOM"},
{98, "Cloud cover", "%", "CLC"},
{99, "Non-Convective Cloud Cover, grid scale", "%", "CLC_SGS"},
{99, "spec. content of precip. particles", "kg kg**-1", "QRS_GSP"},
{100, "Cloud Mixing Ratio", "kg kg**-1", "QC"},
{100, "surface precipitation rate, rain, grid scale", "kg s**-1 m**-2", "PRR_GSP"},
{101, "Cloud Ice Mixing Ratio", "kg kg**-1", "QI"},
{101, "surface precipitation rate, snow, grid scale", "kg s**-1 m**-2", "PRS_GSP"},
{102, "Rain mixing ratio", "kg kg**-1", "QR"},
{102, "surface precipitation amount, rain, grid scale", "kg m**-2", "RAIN_GSP"},
{103, "Snow mixing ratio", "kg kg**-1", "QS"},
{104, "Total column integrated rain", "kg m**-2", "TQR"},
{105, "Total column integrated snow", "kg m**-2", "TQS"},
{106, "Grauple", "kg kg**-1", "QG"},
{107, "Total column integrated grauple", "kg m**-2", "TQG"},
{108, "Total Column integrated water (all components incl. precipitation)", "kg m**-2", "TWATER"},
{109, "vertical integral of divergence of total water content (s)", "kg m**-2", "TDIV_HUM"},
{110, "subgrid scale cloud water", "kg kg**-1", "QC_RAD"},
{111, "subgridscale cloud ice", "kg kg**-1", "QI_RAD"},
{111, "surface precipitation rate, rain, convective", "kg s**-1 m**-2", "PRR_CON"},
{112, "cloud cover CH (0..8)", "-", "CLCH_8"},
{112, "surface precipitation rate, snow, convective", "kg s**-1 m**-2", "PRS_CON"},
{113, "cloud cover CM (0..8)", "-", "CLCM_8"},
{113, "surface precipitation amount, rain, convective", "kg m**-2", "RAIN_CON"},
{114, "cloud cover CL (0..8)", "-", "CLCL_8"},
{115, "cloud base above msl, shallow convection", "m", "HBAS_SC"},
{116, "cloud top above msl, shallow convection", "m", "HTOP_SC"},
{117, "specific cloud water content, convective cloud", "kg kg**-1", "CLW_CON"},
{118, "Height of Convective Cloud Base (i)", "m", "HBAS_CON"},
{119, "Height of Convective Cloud Top (i)", "m", "HTOP_CON"},
{120, "base index (vertical level) of main convective cloud (i)", "-", "BAS_CON"},
{121, "top index (vertical level) of main convective cloud (i)", "-", "TOP_CON"},
{122, "Temperature tendency due to convection", "K s**-1", "DT_CON"},
{123, "Specific humitiy tendency due to convection", "kg kg**-1 s**-1", "DQV_CON"},
{124, "zonal wind tendency due to convection", "m s**-1", "DU_CON"},
{125, "meridional wind tendency due to convection", "m s**-1", "DV_CON"},
{126, "height of top of dry convection", "m", "HTOP_DC"},
{127, "height of 0 degree celsius level code 0,3,6", "m", "HZEROCL"},
{128, "Height of snow fall limit", "m", "SNOWLMT"},
{129, "Tendency of specific cloud liquid water content due to conversion", "kg kg**-1 s**-1", "DQC_CON"},
{130, "tendency of  specific cloud ice content due to convection", "kg kg**-1 s**-1", "DQI_CON"},
{131, "Specific content of precipitation particles (needed for water loadin)g", "kg kg**-1", "Q_SEDIM"},
{132, "Large scale rain rate", "kg m**-2 s**-1", "PRR_GSP"},
{133, "Large scale snowfall rate water equivalent", "kg m**-2 s**-1", "PRS_GSP"},
{134, "Large scale rain rate (s)", "kg m**-2 s**-1", "RAIN_GSP"},
{135, "Convective rain rate", "kg m**-2 s**-1", "PRR_CON"},
{136, "Convective snowfall rate water equivalent", "kg m**-2 s**-1", "PRS_CON"},
{137, "Convective rain rate (s)", "kg m**-2 s**-1", "RAIN_CON"},
{138, "rain amount, grid-scale plus convective", "kg m**-2", "RR_F"},
{139, "deviation of pressure from reference value", "Pa", "PP"},
{139, "snow amount, grid-scale plus convective", "kg m**-2", "RR_C"},
{140, "Temperature tendency due to grid scale precipation", "K s**-1", "DT_GSP"},
{141, "Specific humitiy tendency due to grid scale precipitation", "kg kg**-1 s**-1", "DQV_GSP"},
{142, "tendency of specific cloud liquid water content due to grid scale precipitation", "kg kg**-1 s**-1", "DQC_GSP"},
{143, "Fresh snow factor (weighting function for albedo indicating freshness of snow)", "-", "FRESHSNW"},
{144, "tendency of specific cloud ice content due to grid scale precipitation", "kg kg**-1 s**-1", "DQI_GSP"},
{145, "Graupel (snow pellets) precipitation rate", "kg m**-2 s**-1", "PRG_GSP"},
{146, "Graupel (snow pellets) precipitation rate", "kg m**-2 s**-1", "GRAU_GSP"},
{147, "Snow density", "kg m**-3", "RHO_SNOW"},
{148, "Pressure perturbation", "Pa", "PP"},
{149, "supercell detection index 1 (rot. up+down drafts)", "s**-1", "SDI_1"},
{150, "coefficient of horizontal diffusion", "m**2 s**-1", "-"},
{150, "supercell detection index 2 (only rot. up drafts)", "s**-1", "SDI_2"},
{151, "Convective Available Potential Energy, most unstable", "J kg**-1", "CAPE_MU"},
{152, "Convective Inhibition, most unstable", "J kg**-1", "CIN_MU"},
{153, "Convective Available Potential Energy, mean layer", "J kg**-1", "CAPE_ML"},
{154, "Convective Inhibition, mean layer", "J kg**-1", "CIN_ML"},
{155, "Convective turbulent kinetic enery", "J kg**-1", "TKE_CON"},
{156, "Tendency of turbulent kinetic energy", "m s**-1", "TKETENS"},
{157, "Kinetic Energy", "J kg**-1", "KE"},
{158, "Turbulent Kinetic Energy", "J kg**-1", "TKE"},
{159, "Turbulent diffusioncoefficient for momentum", "m**2 s**-1", "TKVM"},
{160, "Turbulent diffusion coefficient for heat (and moisture)", "m**2 s**-1", "TKVH"},
{161, "Turbulent transfer coefficient for impulse", "-", "TCM"},
{162, "Turbulent transfer coefficient for heat (and Moisture)", "-", "TCH"},
{163, "mixed layer depth", "m", "MH"},
{164, "maximum Wind 10m", "m s**-1", "VMAX_10M"},
{165, "Air concentration of Ruthenium 103", "Bq m**-3", "RU"},
{166, "Soil Temperature (multilayers)", "K", "T_SO"},
{167, "Column-integrated Soil Moisture (multilayers)", "kg m**-2", "W_SO"},
{168, "soil ice content (multilayers)", "kg m**-2", "W_SO_ICE"},
{169, "Plant Canopy Surface Water", "kg m**-2", "W_I"},
{170, "Snow temperature (top of snow)", "K", "T_SNOW"},
{171, "Minimal Stomatal Resistance", "s m**-1", "PRS_MIN"},
{172, "sea Ice Temperature", "K", "T_ICE"},
{173, "Base reflectivity", "dB", "DBZ_850"},
{174, "Base reflectivity", "dB", "DBZ"},
{175, "Base reflectivity (cmax)", "dB", "DBZ_CMAX"},
{176, "unknown", "m", "DTTDIV"},
{177, "Effective transmissivity of solar radiation", "K s**-1", "SOTR_RAD"},
{178, "sum of contributions to evaporation", "kg m**-2", "EVATRA_SUM"},
{179, "total transpiration from all soil layers", "kg m**-2", "TRA_SUM"},
{180, "total forcing at soil surface", "W m**-2", "TOTFORCE_S"},
{181, "residuum of soil moisture", "kg m**-2", "RESID_WSO"},
{182, "Massflux at convective cloud base", "kg m**-2 s**-1", "MFLX_CON"},
{183, "Convective Available Potential Energy", "J kg**-1", "CAPE_CON"},
{184, "moisture convergence for Kuo-type closure", "s**-1", "QCVG_CON"},
{184, "moisture convergence for Kuo-type closure", "s**-1", "QCVG_CON"},
{187, "Maximum wind velocity", "m s**-1", "VMAX_10M"},
{200, "water content of interception store", "kg m**-2", "W_I"},
{203, "snow temperature", "K", "T_SNOW"},
{215, "ice surface temperature", "K", "T_ICE"},
{241, "convective available potential energy", "J kg**-1", "CAPE_CON"}
};
